This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468399 - fence_apc 2.0.84 can not fence node
fence_apc 2.0.84 can not fence node
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.2.z
All Linux
high Severity high
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 11:30 EDT by Dean Jansa
Modified: 2009-04-16 18:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 10:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2008-10-24 11:30:30 EDT
Description of problem:

fence_apc will not fence a node.


Version-Release number of selected component (if applicable):
[root@z1 ~]# uname -ar
Linux z1 2.6.18-92.1.17.el5PAE #1 SMP Wed Oct 22 04:33:46 EDT 2008 i686 athlon x

[root@z1 ~]# rpm -qa | grep cman
cman-2.0.84-2.el5_2.1

[root@z1 ~]# fence_apc -V
fence_apc 2.0.84  (built Tue Sep  9 16:30:39 EDT 2008)

APC:

American Power Conversion               Network Management Card AOS      v3.5.8
(c) Copyright 2007 All Rights Reserved  Rack PDU APP                     v3.5.7


How reproducible:

Every time

Steps to Reproduce:

[root@z1 ~]# fence_apc -a zapc -l apc -p apc -n 2 -o reboot
Traceback (most recent call last):
  File "/sbin/fence_apc", line 829, in ?
    main()
  File "/sbin/fence_apc", line 349, in main
    do_power_off(sock)
  File "/sbin/fence_apc", line 813, in do_power_off
    x = do_power_switch(sock, "off")
  File "/sbin/fence_apc", line 611, in do_power_switch
    result_code, response = power_off(txt + ndbuf)
  File "/sbin/fence_apc", line 817, in power_off
    x = power_switch(buffer, False, "2", "3");
  File "/sbin/fence_apc", line 810, in power_switch
    raise "unknown screen encountered in \n" + str(lines) + "\n"
unknown screen encountered in 
['', '> 2', '', '', '------- Configure Outlet ---------------------------------]
Comment 1 Marek Grac 2009-03-06 10:33:27 EST
Support for this firmware is included in RHEL5.3.

Note You need to log in before you can comment on or make changes to this bug.